TwoPlanarConfig (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.algorithm.twoplanar
Class TwoPlanarConfig

    java.lang.Object
      org.maltparser.parser.ParserConfiguration
          org.maltparser.parser.algorithm.twoplanar.TwoPlanarConfig

    public class TwoPlanarConfig

extends ParserConfiguration

Author:
  Carlos Gomez Rodriguez

Field Summary
`boolean` | `acyclicity`
`static boolean` | `FIRST_STACK`
`boolean` | `noCoveredRoots`
`static int` | `NORMAL`
`boolean` | `reduceAfterSwitch`
`static int` | `RELAXED`
`static boolean` | `SECOND_STACK`
`boolean` | `SINGLE_HEAD`

Fields inherited from class org.maltparser.parser.ParserConfiguration
`historyNode`

Constructor Summary
`TwoPlanarConfig(SymbolTableHandler symbolTableHandler, String noCoveredRoots, String acyclicity, String reduceAfterSwitch, String rootHandling)`

Method Summary
`void` | `clear()` Clears the parser configuration
`boolean` | `equals(Object obj)`
`Stack<DependencyNode>` | `getActiveStack()`
`DependencyNode` | `getActiveStackNode(int index)`
`DependencyStructure` | `getDependencyGraph()` Returns the dependency structure
`DependencyStructure` | `getDependencyStructure()`
`Stack<DependencyNode>` | `getInactiveStack()`
`DependencyNode` | `getInactiveStackNode(int index)`
`Stack<DependencyNode>` | `getInput()`
`DependencyNode` | `getInputNode(int index)`
`int` | `getLastAction()`
`int` | `getRootHandling()`
`boolean` | `getStackActivityState()`
`void` | `initialize(ParserConfiguration parserConfiguration)` Initialize the parser configuration with the same state as the parameter config
`boolean` | `isTerminalState()` Returns true if the parser configuration is in a terminal state, otherwise false.
`boolean` | `reduceAfterSwitch()`
`boolean` | `requiresAcyclicity()`
`boolean` | `requiresNoCoveredRoots()`
`boolean` | `requiresSingleHead()`
`void` | `setAcyclicity(boolean value)`
`void` | `setDependencyGraph(DependencyStructure source)` Sets the dependency structure
`void` | `setLastAction(int action)`
`void` | `setNoCoveredRoots(boolean value)`
`void` | `setReduceAfterSwitch(boolean ras)`
`protected void` | `setRootHandling(String rh)`
`void` | `switchStacks()`
`String` | `toString()`

Methods inherited from class org.maltparser.parser.ParserConfiguration
`getHistoryNode, setHistoryNode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NORMAL

    public static final int NORMAL

See Also:
  Constant Field Values

### RELAXED

    public static final int RELAXED

See Also:
  Constant Field Values

### SINGLE_HEAD

    public final boolean SINGLE_HEAD

See Also:
  Constant Field Values

### noCoveredRoots

    public boolean noCoveredRoots

### acyclicity

    public boolean acyclicity

### reduceAfterSwitch

    public boolean reduceAfterSwitch

### FIRST_STACK

    public static final boolean FIRST_STACK

See Also:
  Constant Field Values

### SECOND_STACK

    public static final boolean SECOND_STACK

See Also:
  Constant Field Values

Constructor Detail

### TwoPlanarConfig

    public TwoPlanarConfig(SymbolTableHandler symbolTableHandler,
                           String noCoveredRoots,
                           String acyclicity,
                           String reduceAfterSwitch,
                           String rootHandling)
                    throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### switchStacks

    public void switchStacks()

### reduceAfterSwitch

    public boolean reduceAfterSwitch()

### setReduceAfterSwitch

    public void setReduceAfterSwitch(boolean ras)

### setLastAction

    public void setLastAction(int action)

### getLastAction

    public int getLastAction()

### getStackActivityState

    public boolean getStackActivityState()

### getActiveStack

    public Stack<DependencyNode> getActiveStack()

### getInactiveStack

    public Stack<DependencyNode> getInactiveStack()

### getInput

    public Stack<DependencyNode> getInput()

### getDependencyStructure

    public DependencyStructure getDependencyStructure()

### isTerminalState

    public boolean isTerminalState()

  Description copied from class: `ParserConfiguration`
  Returns true if the parser configuration is in a terminal state, otherwise false.

  Specified by:
    `isTerminalState` in class `ParserConfiguration`
  Returns:
    true if the parser configuration is in a terminal state, otherwise false.

### getActiveStackNode

    public DependencyNode getActiveStackNode(int index)
                                      throws MaltChainedException

  Throws:
    `MaltChainedException`

### getInactiveStackNode

    public DependencyNode getInactiveStackNode(int index)
                                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### getInputNode

    public DependencyNode getInputNode(int index)
                                throws MaltChainedException

  Throws:
    `MaltChainedException`

### setDependencyGraph

    public void setDependencyGraph(DependencyStructure source)
                            throws MaltChainedException

  Description copied from class: `ParserConfiguration`
  Sets the dependency structure

  Specified by:
    `setDependencyGraph` in class `ParserConfiguration`
  Parameters:
    `source` - a dependency structure
  Throws:
    `MaltChainedException`

### getDependencyGraph

    public DependencyStructure getDependencyGraph()

  Description copied from class: `ParserConfiguration`
  Returns the dependency structure

  Specified by:
    `getDependencyGraph` in class `ParserConfiguration`
  Returns:
    the dependency structure

### initialize

    public void initialize(ParserConfiguration parserConfiguration)
                    throws MaltChainedException

  Description copied from class: `ParserConfiguration`
  Initialize the parser configuration with the same state as the parameter config

  Specified by:
    `initialize` in class `ParserConfiguration`
  Parameters:
    `parserConfiguration` - a parser configuration
  Throws:
    `MaltChainedException`

### getRootHandling

    public int getRootHandling()

### setRootHandling

    protected void setRootHandling(String rh)
                            throws MaltChainedException

  Throws:
    `MaltChainedException`

### requiresSingleHead

    public boolean requiresSingleHead()

### requiresNoCoveredRoots

    public boolean requiresNoCoveredRoots()

### requiresAcyclicity

    public boolean requiresAcyclicity()

### setNoCoveredRoots

    public void setNoCoveredRoots(boolean value)

### setAcyclicity

    public void setAcyclicity(boolean value)

### clear

    public void clear()
               throws MaltChainedException

  Description copied from class: `ParserConfiguration`
  Clears the parser configuration

  Specified by:
    `clear` in class `ParserConfiguration`
  Throws:
    `MaltChainedException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.